AntiFeatures:
    NonFreeNet:
        en-US: Price information is retrieved from non-libre sites.
Categories:
  - Money
License: GPL-3.0-only
AuthorName: Oliver Reiser
AuthorEmail: clone.appdev@gmail.com
SourceCode: https://gitlab.com/cl0n30/cryptoprices
IssueTracker: https://gitlab.com/cl0n30/cryptoprices/-/issues
Changelog: https://gitlab.com/cl0n30/cryptoprices/-/blob/master/CHANGELOG.md
Donate: https://www.paypal.com/donate/?hosted_button_id=TC7SVTTLQ7A6U
Liberapay: CryptoPrices
Bitcoin: bc1qsd3x37d7dea2ghcrmvmgdthl7723gf8ja0j7va

AutoName: Crypto Prices

RepoType: git
Repo: https://gitlab.com/cl0n30/cryptoprices.git

Builds:
  - versionName: 1.2.1
    versionCode: 17
    commit: 1.2.1
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.2.3
    rm:
      - ios
    prebuild: echo "flutter.sdk=$$flutter$$" >> ../local.properties
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.2.2
    versionCode: 19
    commit: 559e6f46a3436af4ebc44366281d6735ddb8fa80
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.2.3
    rm:
      - ios
    prebuild: echo "flutter.sdk=$$flutter$$" >> ../local.properties
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.2.2
    versionCode: 20
    commit: 3b7add8b37c01be6988fd0ca6743db284a9c9e3c
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.2.3
    rm:
      - ios
    prebuild: echo "flutter.sdk=$$flutter$$" >> ../local.properties
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.3.0
    versionCode: 22
    commit: 051a099a95d1cad54db57b53a079b84330a2afcc
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.2.3
    rm:
      - ios
    prebuild: echo "flutter.sdk=$$flutter$$" >> ../local.properties
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.3.1
    versionCode: 26
    commit: be7f1af0193c0d328726b8915f55aadf0fe3ae73
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.2.3
    rm:
      - ios
    prebuild: echo "flutter.sdk=$$flutter$$" >> ../local.properties
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.3.2
    versionCode: 31
    commit: 1.3.2
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.10.5
    rm:
      - ios
    prebuild: echo "flutter.sdk=$$flutter$$" >> ../local.properties
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.3.3
    versionCode: 32
    commit: b62397b2aca6c489e73d0864cec07fdcabe2710a
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.10.5
    rm:
      - ios
    prebuild: echo "flutter.sdk=$$flutter$$" >> ../local.properties
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.4.0
    versionCode: 35
    commit: 7f2b4caacfa66d6818b48880f5c808cb8c329ca8
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.10.5
    rm:
      - ios
    prebuild: echo "flutter.sdk=$$flutter$$" >> ../local.properties
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.4.1
    versionCode: 36
    commit: 1c750c4edc0d876568398b37208fe4b4b7bc212b
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.10.5
    rm:
      - ios
    prebuild: echo "flutter.sdk=$$flutter$$" >> ../local.properties
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk

AutoUpdateMode: Version
UpdateCheckMode: Tags
UpdateCheckData: pubspec.yaml|version:\s.+\+(\d+)|.|version:\s(.+)\+
CurrentVersion: 1.4.1
CurrentVersionCode: 36
